%global pypi_name pycadf
%global _description \
This library provides an auditing data model based on \
the Cloud Auditing Data Federation specification, primarily \
for use by OpenStack. The goal is to establish strict expectations \
about what auditors can expect from audit notifications.

Summary:        CADF Python module
Name:           python-pycadf
Version:        3.1.1
Release:        3%{?dist}
License:        Apache Software License
URL:            https://docs.openstack.org/pycadf/latest/
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description %{_description}

%package -n python3-%{pypi_name}
Summary:        CADF Python module
BuildRequires:  python3-devel python3-setuptools python3-pbr
Requires:       python3-debtcollector python3-oslo-config python3-oslo-serialization python3-pytz python3-six 
Requires:       python-%{pypi_name}-common = %{version}-%{release}

%description -n python3-%{pypi_name} %{_description}

%package -n python-%{pypi_name}-common
Summary:        CADF Python module

%description -n python-%{pypi_name}-common %{_description}

%prep
%setup -q -n pycadf-%{version}
rm -rf %{pypi_name}.egg-info

%build
%{py3_build}

%install
%{py3_install}

mkdir -p %{buildroot}/%{_sysconfdir}
mv %{buildroot}/usr/etc/%{pypi_name} %{buildroot}/%{_sysconfdir}/

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-common
%license LICENSE
%doc README.rst
%dir %{_sysconfdir}/%{pypi_name}
%config(noreplace) %{_sysconfdir}/%{pypi_name}/*.conf

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 kianli <kianli@tencent.com> - 3.1.1-1
- initial build
